{* <!-- Event Cats (event categories) LucMorizur June - ... 2009 --> *}

{* <!-- Keeps file coded in UTF-8 without BOM : é --> *}

{include file='../../../plugins/event_cats/admin/template/header.inc.tpl'}

{* <!-- Whether plugin Additionnal Pages is active or not, and help banner management --> *}
<div style = "text-align:right; font-style:italic;">
  <span id = "ec_help_banner2">
    {'Help banner'|@translate}&nbsp;
    <label for = "ec_help_banner2_1" onclick = "ec_mark_help('ec_help_banner_1');">
      <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_1"/>
      {'Banner on'|@translate}
    </label>
    &nbsp;
    <label for = "ec_help_banner2_0" onclick = "ec_mark_help('ec_help_banner_0');">
      <input type = "radio" name = "ec_help_banner2_onoff" id = "ec_help_banner2_0"/>
      {'Banner off'|@translate}
    </label>
    &nbsp;&#151;&nbsp;
  </span>
  {if $ec_ap_ok}
    {'Additional Pages active'|@translate}
    <script type = "text/javascript">
      var ec_ap_ok = {if count($add_pages) == 0}false{else}true{/if};
    </script>
  {else}
    {'Additional Pages inactive'|@translate}
    <script type = "text/javascript">
      var ec_ap_ok = false;
    </script>
  {/if}
</div><span id = "ec_help_ban"></span>
<script type = "text/javascript"><!--
  document.getElementById('ec_help_banner2').style.display = "none";
//--></script>

<form action = "" method = "post" class = "titrePage" name = "ec_gen_conf" onsubmit = "return ec_check_submit();">
  
  {* <!-- Duplication configuration parameters --> *}
  <h4>{'Duplication'|@translate}</h4>
  <table>
    <tr>
      <td style = "text-align:right; font-weight:bold;">
        {'Duplication allowance'|@translate}&nbsp;&nbsp;
      </td>
      <td>
        <label for = "ec_dup_conf_none_id">
          <input
            type = "radio" name = "ec_dup_conf" value = "0" id = "ec_dup_conf_none_id"
            {if $ec_conf.dup_allow == '0'} checked = "checked" {/if}
          />
          {'No account'|@translate}
        </label><br />
        <label for = "ec_dup_conf_group_id">
          <input
            type = "radio" name = "ec_dup_conf" value = "2" id = "ec_dup_conf_group_id"
            {if $ec_conf.dup_allow == '2'} checked = "checked" {/if}
          />
          {'Selection per group'|@translate}
        </label><br />
        <label for = "ec_dup_conf_all_id">
          <input
            type = "radio" name = "ec_dup_conf" value = "1" id = "ec_dup_conf_all_id"
            {if $ec_conf.dup_allow == '1'} checked = "checked" {/if}
          />
          {'All accounts'|@translate}
        </label>
      </td>
      <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td> {* <!-- sorry :-\ --> *}
      <td style = "text-align:right; font-weight:bold;">
        {* <!-- Replace "Register" link ? --> *}
        {$ec_dup_link_conf}&nbsp;&nbsp;
      </td>
      <td>
        <label for = "ec_dup_disp_normal_id">
          <input
            type = "radio" name = "ec_dup_disp" value = "0" id = "ec_dup_disp_normal_id"
            {if $ec_conf.duplic_display == '0'} checked = "checked" {/if}
          />
          {'No account'|@translate}
        </label><br />
        <label for = "ec_dup_disp_but_gen_id">
          <input
            type = "radio" name = "ec_dup_disp" value = "2" id = "ec_dup_disp_but_gen_id"
            {if $ec_conf.duplic_display == '2'} checked = "checked" {/if}
          />
          {'All but generics'|@translate}
        </label><br />
        <label for = "ec_dup_disp_dup_id">
          <input
            type = "radio" name = "ec_dup_disp" value = "1" id = "ec_dup_disp_dup_id"
            {if $ec_conf.duplic_display == '1'} checked = "checked" {/if}
          />
          {'All accounts'|@translate}
        </label><br />
      </td>
    </tr>
    <tr><td>&nbsp;</td><td>&nbsp;</td></tr>
  </table>
  
  {* <!-- What to do if an unknown code is used --> *}
  <h4>{'Unknown code'|@translate}</h4>
  <table>
    <tr>
      <td style = "text-align:right; vertical-align:top; font-weight:bold;">
        {'Page for unknown code'|@translate}&nbsp;&nbsp;
      </td>
      <td>
        <label for = "ec_unknown_0_id" onclick = "ec_mark_action('ec_unknown_0_id');">
          <input type = "radio" name = "ec_unknown" value = "0" id = "ec_unknown_0_id" />
          {'Home'|@translate}
        </label><br />
        <label for = "ec_unknown_1_id" onclick = "ec_mark_action('ec_unknown_1_id');">
          <input type = "radio" name = "ec_unknown" value = "1" id = "ec_unknown_1_id" />
          {'Access denied'|@translate}
        </label><br />
        {* <!-- Additionnal Page, provided the plugin is activated and at least one Add. P. is available --> *}
        <label class = "ec_block" for = "ec_in_up_aps_id" {if !$ec_ap_ok or count($add_pages) == 0} style = "display:none;" {/if}
         onclick = "ec_mark_action('ec_unknown_2_id');"
        >
          <input type = "radio" name = "ec_unknown" value = "2" id = "ec_unknown_2_id" for = "ec_in_up_aps_id" />
          {'Additional Page'|@translate}<br />
          <select class = "categoryList" name = "ec_in_up_aps" size="30" id = "ec_in_up_aps_id" onchange = "ec_selected_AP = this.value;" >
            {html_options options=$add_pages}
          </select>
        </label>
      </td>
    </tr>
    <tr><td>&nbsp;</td><td>&nbsp;</td></tr>
  </table>
  
  {* <!-- Other --> *}
  <h4>{'Other'|@translate}</h4>
  <table>
    <tr>
      <td style = "text-align:right; font-weight:bold;">
        {'Comments display'|@translate}&nbsp;&nbsp;
      </td>
      <td>
        <label for = "ec_comments_0_id">
          <input type = "radio" name = "ec_comments" value = "0" id = "ec_comments_0_id"
            {if $ec_conf.comment_display == '0'} checked = "checked" {/if}
          />
          {'As tooltip'|@translate}
        </label><br />
        <label for = "ec_comments_1_id">
          <input type = "radio" name = "ec_comments" value = "1" id = "ec_comments_1_id"
            {if $ec_conf.comment_display == '1'} checked = "checked" {/if}
          />
          {'In a row'|@translate}
        </label>
      </td>
      <td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td> {* <!-- sorry :-\ --> *}
      <td style = "text-align:right; font-weight:bold;">
        {'Help banner'|@translate}&nbsp;&nbsp;
      </td>
      <td>
        <label for = "ec_2help_banner_1_id">
          <input type = "radio" name = "ec_help_banner_onoff2" value = "1" id = "ec_2help_banner_1_id"
            onclick = "ec_mark_help('ec_help_banner_1');"
          />
          {'Banner on'|@translate}
        </label><br />
        <label for = "ec_2help_banner_0_id">
          <input type = "radio" name = "ec_help_banner_onoff2" value = "0" id = "ec_2help_banner_0_id"
            onclick = "ec_mark_help('ec_help_banner_0');"
          />
          {'Banner off'|@translate}
        </label>
      </td>
    <tr><td>&nbsp;</td><td>&nbsp;</td></tr>
  </table>
  
  <div style = "text-align:center;">
    <input class = "submit" type = "submit" name = "ec_conf_submit" value = "{'Submit'|@translate}" />
  </div>
  
</form>


{* <!-- JavaScript functions --> *}
<script type = "text/javascript" src = "{$RACINE_URL}{$EVNTCATS_PATH}admin/template/config.js"></script>
<script type = "text/javascript"><!--
  ec_help_in_config = true;
  ec_JS_message                                               = "{'ec_gen_user_act_miss'|@translate|@escape:javascript}";
  ec_selected_action                                          = "{$ec_conf.unknown_code}";
  ec_selected_AP                                              = "{$ec_conf.unknown_code_ap_id}";
  document.ec_gen_conf.ec_unknown[ec_selected_action].checked = 'checked';
  if (de('ec_unknown_2_id').checked != '') ec_mark_action('ec_unknown_2_id');
//--></script>

{include file='../../../plugins/event_cats/admin/template/footer.inc.tpl'}
